返回为项目解析的每个策略类型:合并的有效值、每个范围自己的值以及哪些范围有效。组织值在服务器端读取,因此调用者仅需要项目读取访问权限。
GET /api/v1/projects/{id}/policies/forced
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/policies/effective' \
--header "Authorization: $API_KEY"
响应示例 (406)
操作不可用
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (200)
{
"policies": [
{
"effective_int_value": 42,
"effective_string_list": [
"string"
],
"enabled": true,
"organization": {
"enabled": true,
"int_value": 42,
"string_list": [
"string"
]
},
"project": {
"enabled": true,
"id": "string",
"int_value": 42,
"string_list": [
"string"
]
},
"source": "string",
"type": "MAX_TOOL_CALLS_PER_EXECUTION"
}
]
}
响应示例 (200)
{
"policies": [
{
"effective_int_value": 42,
"effective_string_list": [
"string"
],
"enabled": true,
"organization": {
"enabled": true,
"int_value": 42,
"string_list": [
"string"
]
},
"project": {
"enabled": true,
"id": "string",
"int_value": 42,
"string_list": [
"string"
]
},
"source": "string",
"type": "MAX_TOOL_CALLS_PER_EXECUTION"
}
]
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}